> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# List requests

> API to list all the Subscriptions and Consent requests



## OpenAPI

````yaml get /abdm/v1/requests
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/requests:
    get:
      description: API to list all the Subscriptions and Consent requests
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: status of the request
          in: query
          name: status
          required: true
          schema:
            description: status of the request
            enum:
              - requested
              - granted
              - expired
              - denied
              - revoked
            examples:
              - granted
            type: string
        - description: Specifies the type of request being queried.
          in: query
          name: type
          required: true
          schema:
            description: Specifies the type of request being queried.
            enum:
              - consent
              - subscription
              - authorization
              - all
            examples:
              - consent
            type: string
        - description: OID is used to Identify the user.
          in: query
          name: oid
          schema:
            description: OID is used to Identify the user.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListsResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ListsResponse:
      properties:
        authorizations:
          description: List of authorizations
          items:
            $ref: '#/components/schemas/ListsRequestDetail'
          type:
            - array
            - 'null'
        consents:
          description: List of consents
          items:
            $ref: '#/components/schemas/ListsRequestDetail'
          type:
            - array
            - 'null'
        subscriptions:
          description: List of subscriptions
          items:
            $ref: '#/components/schemas/ListsRequestDetail'
          type:
            - array
            - 'null'
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    ListsRequestDetail:
      properties:
        created_at:
          description: Time when the consent was created
          format: date-time
          type: string
        duration:
          $ref: '#/components/schemas/CommonsDuration'
        hiu:
          $ref: '#/components/schemas/CommonsHiu'
          description: Health Information User,the requesting entity Clinic hospital
        id:
          description: Unique identifier for the consent/authorization/subscription
          type: string
        purpose:
          $ref: '#/components/schemas/CommonsPurpose'
        requester:
          $ref: '#/components/schemas/CommonsRequester'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
    CommonsDuration:
      properties:
        from:
          description: Start time of the consent
          format: date-time
          type: string
        to:
          description: End time of the consent
          format: date-time
          type: string
      type: object
    CommonsHiu:
      properties:
        id:
          description: Health Information User ID
          examples:
            - INXXXXX
          type: string
        name:
          description: Name of the Health Information User
          examples:
            - Apollo Hospital
          type: string
      type: object
    CommonsPurpose:
      properties:
        code:
          type: string
        text:
          type: string
      type: object
    CommonsRequester:
      properties:
        name:
          description: Name of the requester.
          examples:
            - Dr John
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````